# $Revision: 1.17 $, $Date: 2010/10/06 08:51:08 $
#
# Conditional build:
%bcond_with	tests		# perform "make test" (requires uid 0)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	ARP
Summary:	Perl extension for creating ARP packets
Summary(pl.UTF-8):	Rozszerzenie Perla do tworzenia pakietów ARP
Name:		perl-Net-ARP
Version:	1.0.6
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	1b71124347f23f951b96e86826af8562
URL:		http://search.cpan.org/dist/Net-ARP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Net-Pcap
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module can be used to create and send ARP packets and to get the
MAC address of an ethernet interface or IP address.

%description -l pl.UTF-8
Ten moduł może być użyty do tworzenia i wysłania pakietów ARP oraz do
uzyskiwania adresu MAC interfejsu sieciowego lub adresu IP.

%prep
%setup -q -n %{pdir}-%{pnam}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Net/*.pm
%dir %{perl_vendorarch}/auto/Net/ARP
%{perl_vendorarch}/auto/Net/ARP/ARP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Net/ARP/ARP.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-ARP.spec,v $
Revision 1.17  2010/10/06 08:51:08  glen
- release 3

Revision 1.16  2010/06/06 08:39:59  arekm
- release 2

Revision 1.15  2009/08/27 09:06:42  amateja
- updated to 1.0.6

Revision 1.14  2008/03/29 13:02:52  radek
- version 1.0.2

Revision 1.13  2008-02-10 12:16:14  arekm
- rel 2

Revision 1.12  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.11  2007-12-24 19:28:14  qboosh
- generic URL
- pl cosmetics

Revision 1.10  2007-12-24 02:38:48  zbyniu
- up to 1.0.1

Revision 1.9  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.7  2006/04/07 21:14:30  agaran
- up to 0.8 rel 1, builds here

Revision 1.6  2006/01/22 13:05:49  agaran
- up to 0.7, rel=1, builds, passes its tests

Revision 1.5  2005/05/30 11:31:35  petec
- up to 0.5

Revision 1.4  2005/01/04 09:37:00  qboosh
- actually package .so

Revision 1.3  2005/01/03 12:59:01  adamg
- note about license

Revision 1.2  2005/01/03 12:30:31  adamg
- capitalization fixes

Revision 1.1  2005/01/03 12:27:02  adamg
- new
